Delete permission space
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Delete permission space information through the permission space unique identifier (Code).
Method name
ManagementClient.deletePermissionNamespace
Request parameters
| Name | Type | Required | Default value | Description | Example value |
|---|---|---|---|---|---|
| code | string | Yes | - | Permission space Code | examplePermissionNamespace |
Sample code
ts
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.deletePermissionNamespace({
code: "examplePermissionNamespace",
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a IsSuccessDto | Whether the operation is successful |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}Data structure
IsSuccessDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |